# Uses of Class
org.mariadb.jdbc.client.util.ClosableLock

Packages that use ClosableLock
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.client.util
org.mariadb.jdbc.util.timeout

## Uses of ClosableLock in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as ClosableLock
Modifier and Type
Field
Description
`protected final ClosableLock`
Statement.`lock`
thread safe locker
Methods in org.mariadb.jdbc that return ClosableLock
Modifier and Type
Method
Description
`protected ClosableLock`
Connection.`getLock()`
Internal : retrieve internal ClosableLock
Constructors in org.mariadb.jdbc with parameters of type ClosableLock
Modifier
Constructor
Description
``
`BaseCallableStatement(String sql, Connection con, ClosableLock lock, String databaseName, String procedureName, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor
``
`BasePreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor
``
`ClientPreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Client prepare statement constructor
``
`Connection(Configuration conf, ClosableLock lock, org.mariadb.jdbc.client.Client client)`
Connection construction.
``
`FunctionStatement(Connection con, String databaseName, String procedureName, String arguments, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency)`
Constructor of function callable statement
``
`ProcedureStatement(Connection con, String sql, String databaseName, String procedureName, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int resultSetType, int resultSetConcurrency)`
Constructor
``
`ServerPreparedStatement(String sql, Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, boolean canCachePrepStmts, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Server prepare statement constructor
``
`Statement(Connection con, ClosableLock lock, boolean canUseServerTimeout, boolean canUseServerMaxRows, int autoGeneratedKeys, int resultSetType, int resultSetConcurrency, int defaultFetchSize)`
Constructor

## Uses of ClosableLock in org.mariadb.jdbc.client.util

Methods in org.mariadb.jdbc.client.util that return ClosableLock
Modifier and Type
Method
Description
`ClosableLock`
ClosableLock.`closeableLock()`
Default constructor, retaining lock.
Methods in org.mariadb.jdbc.client.util with parameters of type ClosableLock
Modifier and Type
Method
Description
`static ScheduledThreadPoolExecutor`
SchedulerProvider.`getTimeoutScheduler(ClosableLock lock)`

## Uses of ClosableLock in org.mariadb.jdbc.util.timeout

Constructors in org.mariadb.jdbc.util.timeout with parameters of type ClosableLock
Modifier
Constructor
Description
``
`QueryTimeoutHandlerImpl(Connection conn, ClosableLock lock)`